import { Connection, PublicKey } from '@solana/web3.js';
import { Wallet } from '../wallet';
import BN from 'bn.js';
import { WalletContextState } from '@solana/wallet-adapter-react';
export interface CreateMasterEditionParams {
    connection: Connection;
    wallet: Wallet;
    editionMint: PublicKey;
    updateAuthority?: PublicKey;
    maxSupply?: BN;
    feePayer?: PublicKey;
    wallets: WalletContextState;
}
export declare const createMasterEdition: ({ connection, wallet, editionMint, updateAuthority, maxSupply, wallets, feePayer }?: CreateMasterEditionParams) => Promise<string>;
