import { PublicKey } from '@solana/web3.js';
import { Connection } from '../Connection';
import { Wallet } from '../wallet';
import { WalletContextState } from '@solana/wallet-adapter-react';
export interface MintNFTParams {
    connection: Connection;
    wallet: Wallet;
    uri: string;
    maxSupply?: number;
    feePayer?: PublicKey;
    wallets: WalletContextState;
}
export interface MintNFTResponse {
    txId: string;
    mint: PublicKey;
    metadata: PublicKey;
    edition: PublicKey;
}
export declare const mintNFT: ({ connection, wallet, wallets, uri, maxSupply, feePayer }: MintNFTParams) => Promise<MintNFTResponse>;
