import { Connection, Keypair, PublicKey } from '@solana/web3.js';
import { Wallet } from '../wallet';
import { WalletContextState } from '@solana/wallet-adapter-react';
export interface SignMetadataParams {
    connection: Connection;
    wallet: Wallet;
    editionMint: PublicKey;
    signer?: Keypair;
    feePayer?: PublicKey;
    wallets: WalletContextState;
}
export declare const signMetadata: ({ connection, wallet, editionMint, signer, wallets, feePayer }?: SignMetadataParams) => Promise<string>;
