import { PublicKey, TransactionSignature } from '@solana/web3.js';
import { Wallet } from '../../wallet';
import { Connection } from '../../Connection';
import { WalletContextState } from '@solana/wallet-adapter-react';
interface CreateExternalPriceAccountParams {
    connection: Connection;
    wallet: Wallet;
    wallets: WalletContextState;
}
interface CreateExternalPriceAccountResponse {
    txId: TransactionSignature;
    externalPriceAccount: PublicKey;
    priceMint: PublicKey;
}
export declare const createExternalPriceAccount: ({ connection, wallet, wallets, }: CreateExternalPriceAccountParams) => Promise<CreateExternalPriceAccountResponse>;
export {};
