import { Connection, PublicKey } from '@solana/web3.js';
import { Wallet } from '../wallet';
import { MetadataDataData } from '@metaplex-foundation/mpl-token-metadata';
import { WalletContextState } from '@solana/wallet-adapter-react';
export interface CreateMetadataParams {
    connection: Connection;
    wallet: Wallet;
    wallets: WalletContextState;
    editionMint: PublicKey;
    metadataData: MetadataDataData;
    updateAuthority?: PublicKey;
}
export declare const createMetadata: ({ connection, wallet, wallets, editionMint, metadataData, updateAuthority }?: CreateMetadataParams) => Promise<string>;
