import { PublicKey } from '@solana/web3.js';
import { Wallet } from '../wallet';
import { Connection } from '../Connection';
import { WalletContextState } from '@solana/wallet-adapter-react';
export interface InitStoreParams {
    connection: Connection;
    wallet: Wallet;
    wallets: WalletContextState;
    isPublic?: boolean;
}
export interface InitStoreResponse {
    storeId: PublicKey;
    txId: string;
}
export declare const initStore: ({ connection, wallet, wallets, isPublic, }: InitStoreParams) => Promise<InitStoreResponse>;
