import { PublicKey, TransactionSignature } from '@solana/web3.js';
import { Wallet } from '../wallet';
import { Connection } from '../Connection';
import { WalletContextState } from '@solana/wallet-adapter-react';
export interface InstantSaleParams {
    connection: Connection;
    wallet: Wallet;
    wallets: WalletContextState;
    auction: PublicKey;
    store: PublicKey;
}
export interface InstantSaleResponse {
    txIds: TransactionSignature[];
}
export declare const instantSale: ({ connection, wallet, wallets, store, auction, }: InstantSaleParams) => Promise<InstantSaleResponse>;
