import { Connection, PublicKey } from '@solana/web3.js';
import { Wallet } from '../wallet';
import { WalletContextState } from '@solana/wallet-adapter-react';
export interface MintEditionFromMasterParams {
    connection: Connection;
    wallet: Wallet;
    masterEditionMint: PublicKey;
    updateAuthority?: PublicKey;
    feePayer?: PublicKey;
    wallets: WalletContextState;
}
export interface MintEditionFromMasterResponse {
    txId: string;
    mint: PublicKey;
    metadata: PublicKey;
    edition: PublicKey;
}
export declare const mintEditionFromMaster: ({ connection, wallet, wallets, masterEditionMint, updateAuthority, feePayer }?: MintEditionFromMasterParams) => Promise<MintEditionFromMasterResponse>;
