import { Keypair, PublicKey, SendOptions } from '@solana/web3.js';
import { Wallet } from '../wallet';
import { Connection } from '../Connection';
import { Transaction } from '@metaplex-foundation/mpl-core';
import { WalletContextState } from '@solana/wallet-adapter-react';
export interface SendTransactionParams {
    connection: Connection;
    wallet: Wallet;
    wallets: WalletContextState;
    txs: Transaction[];
    signers?: Keypair[];
    options?: SendOptions;
    feePayer?: PublicKey;
}
export declare const sendTransaction: ({ connection, wallet, wallets, txs, signers, options, feePayer }: SendTransactionParams) => Promise<string>;
