import { Connection, PublicKey } from '@solana/web3.js';
import { Wallet } from '../wallet';
import { MetadataDataData } from '@metaplex-foundation/mpl-token-metadata';
import { WalletContextState } from '@solana/wallet-adapter-react';
export interface UpdateMetadataParams {
    connection: Connection;
    wallet: Wallet;
    wallets: WalletContextState;
    editionMint: PublicKey;
    newMetadataData?: MetadataDataData;
    newUpdateAuthority?: PublicKey;
    primarySaleHappened?: boolean;
}
export declare const updateMetadata: ({ connection, wallet, wallets, editionMint, newMetadataData, newUpdateAuthority, primarySaleHappened, }?: UpdateMetadataParams) => Promise<string>;
